<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.GlobalDB ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <HeaderAuthor>IBAE</HeaderAuthor>
      <HeaderFamily>P92753</HeaderFamily>
      <HeaderName>Programm</HeaderName>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Static">
    <Member Name="EmpfangenFIFO" Datatype="Struct" Remanence="Retain">
      <Member Name="KOPF" Datatype="Word">
        <Comment>
          <MultiLanguageText Lang="de-DE">Fifo-Kennung (FF) / Datensatzlänge in Word (1 - 128)</MultiLanguageText>
        </Comment>
        <StartValue>WORD#16#FF0F</StartValue>
      </Member>
      <Member Name="LAENGE" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Länge des Fifo (maximale Anzahl der Datensätze)</MultiLanguageText>
        </Comment>
        <StartValue>100</StartValue>
      </Member>
      <Member Name="BRINGZEIGER" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Zeiger, wohin nächster Eintrag gespeichert wird</MultiLanguageText>
        </Comment>
        <StartValue>40</StartValue>
      </Member>
      <Member Name="HOLZEIGER" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Zeiger, woher nächste Daten geholt werden</MultiLanguageText>
        </Comment>
        <StartValue>40</StartValue>
      </Member>
      <Member Name="ANZAHL" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Anzahl der Datensätze (eingetragene)</MultiLanguageText>
        </Comment>
        <StartValue>100</StartValue>
      </Member>
      <Member Name="STATUS" Datatype="Word">
        <Comment>
          <MultiLanguageText Lang="de-DE">Status des Fifo</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="ZUSATZDW1" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Speicherzelle für 1.Zusatzdaten</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="ZUSATZDW2" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Speicherzelle für 2.Zusatzdaten</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="ZUSATZDW3" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Speicherzelle für 3.Zusatzdaten</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="ZUSATZDW4" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Speicherzelle für 4.Zusatzdaten</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Frei1" Datatype="Int" />
      <Member Name="Frei2" Datatype="Int" />
      <Member Name="Frei3" Datatype="Int" />
      <Member Name="Frei4" Datatype="Int" />
      <Member Name="Frei5" Datatype="Int" />
      <Member Name="OP_Anzeige_Datensatz" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Bei Ringspeicher -1,-2,...-Datensatz anzeigen</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Datensatz" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Zu lesender Datenstatz (OP-Zeug)*********************************</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Taste_Daten_minus" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Taste Datensatz -1 lesen</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Taste_Daten_plus" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Taste Datensatz +1 lesen</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Taste_FIFO_Del" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Taste Fifo löschen</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Zustand" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Zustand</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Error" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Error</MultiLanguageText>
        </Comment>
      </Member>
    </Member>
    <Member Name="Empfangen" Datatype="Array[1..100] of &quot;UDatenEmpfangen&quot;" Remanence="Retain" />
    <Member Name="EmpfangenFIFOEnde" Datatype="Struct" Remanence="Retain">
      <Member Name="Endekennung" Datatype="Word">
        <Comment>
          <MultiLanguageText Lang="de-DE">Fifo-Ende-Kennung (FFEE)</MultiLanguageText>
        </Comment>
        <StartValue>WORD#16#FFEE</StartValue>
      </Member>
    </Member>
  </Section>
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>Port1_EmpfangenFIFO</Name>
      <Namespace />
      <Number>8001</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.GlobalDB>
</Document>